GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerReader< R > Class Template Reference

`#include <completion_queue.h>`

## Public Member Functions
| ServerReader (Call *call, ServerContext *ctx)
void | SendInitialMetadata ()
bool | Read (R *msg) GRPC_OVERRIDE
Public Member Functions inherited from grpc::ReaderInterface< R >
virtual | ~ReaderInterface ()

## Constructor & Destructor Documentation

template<class R>

grpc::ServerReader< R >::ServerReader | ( | Call * | call,
|  | ServerContext * | ctx
| ) |  |
| inline

## Member Function Documentation

template<class R>

bool grpc::ServerReader< R >::Read | ( | R * | msg | ) |
| inline virtual

Implements grpc::ReaderInterface< R >.

template<class R>

void grpc::ServerReader< R >::SendInitialMetadata | ( |  | ) |
| inline

The documentation for this class was generated from the following files:

- include/grpc++/completion_queue.h
- include/grpc++/stream.h